メインコンテンツへスキップ
GET
/
v2
/
webhook
/
endpoint
エンドポイント - 一覧
curl --request GET \
  --url https://api.chainstream.io/v2/webhook/endpoint \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
      "url": "https://example.com",
      "channels": [
        "sol.token.migrated"
      ],
      "createdAt": "2021-01-01T00:00:00.000Z",
      "description": "Webhook description",
      "disabled": false,
      "filter": "<string>",
      "filterTypes": [
        "<string>"
      ],
      "metadata": {
        "key": "value"
      },
      "rateLimit": 1000,
      "updatedAt": "2021-01-01T00:00:00.000Z"
    }
  ],
  "done": false,
  "iterator": "eyJpZCI6MTAwfQ==",
  "prevIterator": "eyJpZCI6MTAwfQ=="
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

limit
integer<int64>

ページあたりの結果数

必須範囲: 1 <= x <= 100
iterator
string

ページネーションイテレータ

order
enum<string>

ソート順 Ordering direction for paginated endpoint listing

利用可能なオプション:
ascending,
descending

レスポンス

200 - application/json

成功レスポンス

Paginated list of webhook endpoints

data
object[]
必須

ページネーションされたエンドポイントリスト

done
boolean
必須

ページネーションが完了したかどうか

:

false

iterator
string | null

現在のページイテレータ

:

"eyJpZCI6MTAwfQ=="

prevIterator
string | null

前のページイテレータ

:

"eyJpZCI6MTAwfQ=="